#include <iostream>

using namespace std;

int main()
{
	int n, l, s, i=0, g=-1;
	cin >> n >> l;
	for (i; i < n; i++)
	{
		cin >> s;
		if (s > l || g != -1) continue;
		else 
		{
			g = i + 1; 
		}
	}
	cout << g;
}